--
-- DeleteOneIssue.sql
--
-- This script a specific (and related information).
--
-- Before using this script two lines must be updated:
--
-- 1) (first line - Use ???) 
--    The ??? must be replaced with the database name you wish 
--    to update (default is RMT).
--
-- 2) (fourth line - select @myissueid = ????)
--    The desired issue ID. 

Use ???
go

declare @myissueid int

select @myissueid = ????

if exists(select * from INFORMATION_SCHEMA.TABLES where TABLE_NAME = 'IssueSignatures') begin
    declare @Sql varchar(8000) set @Sql =
        N'delete IssueSignatures
          from IssueSignatures
             inner join IssueHistory on IssueHistory.HistoryId = IssueSignatures.HistoryId
             inner join Issues on IssueHistory.IssueId = Issues.IssueId 
          where Issues.IssueId = ' + CAST(@myissueid as varchar(8))
    execute(@Sql)
end

delete IssueHistory
    where IssueHistory.IssueId = @myissueid
 
delete IssueComments
    where IssueComments.IssueId = @myissueid

delete IssueAttachmentThumbnails
    from IssueAttachmentThumbnails 
	inner join IssueAttachments on IssueAttachmentThumbnails.AttachmentId = IssueAttachments.AttachmentId
        inner join Issues on IssueAttachments.IssueId = Issues.IssueId 
    where Issues.IssueId = @myissueid

delete IssueAttachments
    where IssueAttachments.IssueId = @myissueid

delete EMailNotifications
    where EMailNotifications.IssueId = @myissueid

delete IssueLinks
    from IssueLinks
        inner join Issues on IssueLinks.LinkValue = Issues.IssueId
    where IssueLinks.LinkType = 'issue'
        and Issues.IssueId = @myissueid

delete IssueLinks
    from IssueLinks
        inner join Issues on IssueLinks.IssueId = Issues.IssueId
    where Issues.IssueId = @myissueid

delete EMailIssueSubscriptions
    from EMailIssueSubscriptions
        inner join Issues on EMailIssueSubscriptions.IssueId = Issues.IssueId
    where Issues.IssueId = @myissueid

delete Issues
    where Issues.IssueId = @myissueid



 

